## micropython-mpremote 1.24.1

=== requirements.txt ===
pyserial >= 3.3
importlib_metadata >= 1.4; python_version < "3.8"

## micropython-mpremote 0.4.0

=== debian/changelog ===
micropython-mpremote (0.4.0-0ubuntu1) kinetic; urgency=medium

  * Initial packaging for Ubuntu. (LP: #1992777)

 -- Dave Jones <dave@waveform.org.uk>  Sat, 08 Oct 2022 14:10:00 +0100

=== debian/control ===
Source: micropython-mpremote
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Dave Jones <dave@waveform.org.uk>,
Homepage: https://github.com/micropython/micropython
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.1.0
Vcs-Git: https://salsa.debian.org/python-team/packages/micropython-mpremote.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/micropython-mpremote
Rules-Requires-Root: no

Package: micropython-mpremote
Architecture: all
Suggests: micropython
Depends: ${misc:Depends}, ${python3:Depends}
Description: Tool for interacting remotely with MicroPython on a microcontroller
 The mpremote tool provides a set of commands for interacting with a
 microcontroller board running MicroPython over a serial connection. It
 includes the ability to run local scripts on the board, perform a variety of
 filesystem tasks (cat, ls, cp, rm, mkdir, rmdir), mount a local directory on
 the remote board, and execute an interactive REPL on the board.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=mpremote

%:
	dh $@ --with python3 --buildsystem=pybuild

## micropython-mpremote 1.20.0

=== debian/changelog ===
micropython-mpremote (1.20.0-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 30 Aug 2023 09:14:23 +0200

micropython-mpremote (1.20.0-1) unstable; urgency=medium

  * Initial packaging.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Aug 2023 15:30:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: micropython-mpremote
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Dave Jones <dave@waveform.org.uk>,
+ Jochen Sprickerhof <jspricke@debian.org>,
 Homepage: https://github.com/micropython/micropython
-Section: python
+Section: utils
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
-Standards-Version: 4.6.1.0
+ python3-hatchling,
+ python3-hatch-requirements-txt,
+ python3-hatch-vcs,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/micropython-mpremote.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/micropython-mpremote
 Rules-Requires-Root: no

## micropython-mpremote 1.24.0

=== debian/changelog ===
micropython-mpremote (1.24.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 20 Dec 2024 14:19:09 +0100

micropython-mpremote (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Nov 2024 13:10:35 +0100

micropython-mpremote (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 15:44:40 +0200

micropython-mpremote (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * tools/mpremote: Reduce dependencies.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Jan 2024 16:39:49 +0100

micropython-mpremote (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Nov 2023 09:07:58 +0100

## micropython-mpremote 1.24.1

=== debian/changelog ===
micropython-mpremote (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Dec 2024 05:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-hatchling,
  python3-hatch-requirements-txt,
  python3-hatch-vcs,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/micropython-mpremote.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/micropython-mpremote
 Rules-Requires-Root: no

## micropython-mpremote 1.26.0

=== debian/changelog ===
micropython-mpremote (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Aug 2025 21:37:50 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-hatchling,
  python3-hatch-requirements-txt,
  python3-hatch-vcs,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/micropython-mpremote.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/micropython-mpremote
 Rules-Requires-Root: no

=== debian/watch ===
version=4

opts=\
  filenamemangle=s/.+\/mpremote@ANY_VERSION@\.tar\.gz#sha256=[0-9a-f]{64}/@PACKAGE@_$1\.orig\.tar\.gz/ \
  https://pypi.org/simple/mpremote/ .*/mpremote@ANY_VERSION@\.tar\.gz#sha256=[0-9a-f]{64}
